dvb/linuxtv-dvb/debian/patches 10_Makefile_fix.dpatch 00list

Thomas Schmidt pkg-vdr-dvb-changes@lists.alioth.debian.org
Mon, 24 May 2004 21:37:52 +0000


Update of /cvsroot/pkg-vdr-dvb/dvb/linuxtv-dvb/debian/patches
In directory haydn:/tmp/cvs-serv28233/dvb/linuxtv-dvb/debian/patches

Modified Files:
	00list 
Added Files:
	10_Makefile_fix.dpatch 
Log Message:
updated Makefiles, i hope, it will build now

Index: 00list
===================================================================
RCS file: /cvsroot/pkg-vdr-dvb/dvb/linuxtv-dvb/debian/patches/00list,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -d -r1.2 -r1.3
--- 00list	23 May 2004 09:41:23 -0000	1.2
+++ 00list	24 May 2004 21:37:50 -0000	1.3
@@ -0,0 +1 @@
+10_Makefile_fix

--- NEW FILE: 10_Makefile_fix.dpatch ---
#! /bin/sh -e
## 10_Makefile_fix.dpatch by Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: No description.

if [ $# -lt 1 ]; then
    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
    exit 1
fi

[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"

case "$1" in
    -patch) patch -p1 ${patch_opts} < $0;;
    -unpatch) patch -R -p1 ${patch_opts} < $0;;
    *)
        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
        exit 1;;
esac

exit 0

@DPATCH@
diff -urNad /home/chelli/vdr/cvs/dvb/linuxtv-dvb/build-2.4/Makefile linuxtv-dvb/build-2.4/Makefile
--- /home/chelli/vdr/cvs/dvb/linuxtv-dvb/build-2.4/Makefile	2004-05-23 11:09:03.000000000 +0200
+++ linuxtv-dvb/build-2.4/Makefile	2004-05-24 23:35:36.000000000 +0200
@@ -70,9 +70,9 @@
 KERNELRELEASE	:= $(shell cat $(obj)/.version 2>/dev/null || uname -r)
 endif
 
-KDIR		:= /lib/modules/$(KERNELRELEASE)/build
+KDIR		:= $(KSRC)
 PWD		:= $(shell pwd)
-DEST		:= /lib/modules/$(KERNELRELEASE)/$(MDIR)
+DEST		:= $(DESTDIR)
 
 build:
 	[ -L saa7146_video.c ] || ./getlinks
diff -urNad /home/chelli/vdr/cvs/dvb/linuxtv-dvb/debian/patches/01_Makefile_fix.dpatch linuxtv-dvb/debian/patches/01_Makefile_fix.dpatch
--- /home/chelli/vdr/cvs/dvb/linuxtv-dvb/debian/patches/01_Makefile_fix.dpatch	1970-01-01 01:00:00.000000000 +0100
+++ linuxtv-dvb/debian/patches/01_Makefile_fix.dpatch	2004-05-24 23:33:31.000000000 +0200
@@ -0,0 +1,25 @@
+#! /bin/sh -e
+## 01_Makefile_fix.dpatch by Thomas Schmidt <thomas.schmidt@in.stud.tu-ilmenau.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: No description.
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+@DPATCH@
diff -urNad /home/chelli/vdr/cvs/dvb/linuxtv-dvb/Makefile linuxtv-dvb/Makefile
--- /home/chelli/vdr/cvs/dvb/linuxtv-dvb/Makefile	2004-05-23 10:56:26.000000000 +0200
+++ linuxtv-dvb/Makefile	2004-05-24 23:33:56.000000000 +0200
@@ -3,7 +3,7 @@
 CVSROOT     := $(shell cat CVS/Root)
 RELEASE_TAG := LINUXTV-DVB-$(subst .,_,$(subst -,_,$(VERSION)))
 
-KERNEL_MINOR := $(shell uname -r | sed -e 's/^2\.\(.\).*/\1/')
+KERNEL_MINOR := $(shell echo $(KVERS) | sed -e 's/^2\.\(.\).*/\1/')
 BUILD_DIR := $(shell pwd)/build-2.$(KERNEL_MINOR)
 
 all: